import 'package:cramr_ui_lib/model/verb_test_model.dart';
import 'package:cramr_ui_lib/widgets/pronoun_field.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

/// This widget shows a pronoun and an indicative, based on the person that is
/// passed as a parameter. The state is tightly coupled to the Provider
/// framework.
class ExpectedRow extends StatelessWidget {
  final int currentPerson;

  const ExpectedRow({Key? key, required this.currentPerson}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Card(
      child: Row(
        children: [
          PronounField(currentPerson: currentPerson),
          _expected(context, currentPerson),
        ],
      ),
      elevation: 20,
    );
  }

  Widget _expected(BuildContext context, int person) {
    return Consumer<VerbTestModel>(builder: (context, testModel, child) {
      return Padding(
        padding: const EdgeInsets.all(5.0),
        child: SizedBox(
            height: 40,
            width: 170,
            child: Text(testModel.verb.indicative[person],
                key: const Key('expectedVerb'),
                style: const TextStyle(
                  color: Colors.green,
                  fontSize: 25,
                ))),
      );
    });
  }
}
