import 'package:cramr_ui_lib/model/verb_test_model.dart';
import 'package:cramr_ui_lib/util/pronoun_decorator.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

/// A field displaying the pronoun for a given person (passed as an int
/// parameter).
class PronounField extends StatelessWidget {
  final int currentPerson;

  const PronounField({Key? key, required this.currentPerson}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return _pronounCell(context, currentPerson);
  }

  Widget _pronounCell(BuildContext context, int person) {
    return Consumer<VerbTestModel>(builder: (context, testModel, child) {
      return Padding(
        padding: const EdgeInsets.all(5.0),
        child: SizedBox(
          key: UniqueKey(),
          height: 40,
          width: 85,
          child: Text(
            PronounDecorator.decoratedPronoun(testModel.targetLanguageIso,
                testModel.pronouns[person], testModel.verb.indicative[person]),
            key: Key(testModel.pronouns[person]),
            textAlign: TextAlign.center,
            style: const TextStyle(
              color: Colors.blue,
              fontSize: 25,
            ),
            overflow: TextOverflow.ellipsis,
          ),
        ),
      );
    });
  }
}
